Package org.opengis.cite.ogcapifeatures10.listener

# Class LoggingTestListener

java.lang.Object
org.testng.TestListenerAdapter
org.opengis.cite.ogcapifeatures10.listener.LoggingTestListener

All Implemented Interfaces:
  `org.testng.IConfigurationListener`, `org.testng.internal.IResultListener`, `org.testng.internal.IResultListener2`, `org.testng.ITestListener`, `org.testng.ITestNGListener`

public class LoggingTestListener extends org.testng.TestListenerAdapter

LoggingTestListener class.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LoggingTestListener()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `onTestFailure(org.testng.ITestResult tr)`
  `void`
  `onTestSkipped(org.testng.ITestResult tr)`
  `void`
  `onTestStart(org.testng.ITestResult result)`
  `void`
  `onTestSuccess(org.testng.ITestResult tr)`

  ### Methods inherited from class org.testng.TestListenerAdapter

  `beforeConfiguration, getAllTestMethods, getConfigurationFailures, getConfigurationSkips, getFailedButWithinSuccessPercentageTests, getFailedTests, getPassedTests, getSkippedTests, getTestContexts, getTimedoutTests, onConfigurationFailure, onConfigurationSkip, onConfigurationSuccess, onFinish, onStart, onTestFailedButWithinSuccessPercentage, onTestFailedWithTimeout, setAllTestMethods, setFailedButWithinSuccessPercentageTests, setFailedTests, setPassedTests, setSkippedTests, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface org.testng.IConfigurationListener

  `beforeConfiguration, onConfigurationFailure, onConfigurationSkip, onConfigurationSuccess`

- ## Constructor Details

  - ### LoggingTestListener

    public LoggingTestListener()

- ## Method Details

  - ### onTestStart

    public void onTestStart(org.testng.ITestResult result)
    Specified by:
      `onTestStart` in interface `org.testng.ITestListener`
    Overrides:
      `onTestStart` in class `org.testng.TestListenerAdapter`

  - ### onTestFailure

    public void onTestFailure(org.testng.ITestResult tr)
    Specified by:
      `onTestFailure` in interface `org.testng.ITestListener`
    Overrides:
      `onTestFailure` in class `org.testng.TestListenerAdapter`

  - ### onTestSkipped

    public void onTestSkipped(org.testng.ITestResult tr)
    Specified by:
      `onTestSkipped` in interface `org.testng.ITestListener`
    Overrides:
      `onTestSkipped` in class `org.testng.TestListenerAdapter`

  - ### onTestSuccess

    public void onTestSuccess(org.testng.ITestResult tr)
    Specified by:
      `onTestSuccess` in interface `org.testng.ITestListener`
    Overrides:
      `onTestSuccess` in class `org.testng.TestListenerAdapter`